package com.tofly.watermeter.custom.service.statisticanalysis;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.util.*;

public interface IWaterStatisticsService {

    List getWaterAnalysis(String cbpq, String queryDate);

    Page getWaterAnalysisDetail(Page page,String cbpq, String queryDate, String queryType);

    List getWaterAnalysisDetailAndYOM(String khbh, String startDate, String endDate, String queryType);

    HashMap getWaterTrend(String cbpq, String startDate, String endDate);

    List getWaterTrendDetail(String cbpq, String queryDate);

    Page getWaterTrendWaterDetail(Page page, String cbpq, String cbqyd, String queryDate);

    HashMap getWaterFluctuation(String queryType, String queryDate, String numberParam);

    List getWaterFluctuationDetail(String khbh, String queryDate);

    Page getWaterInquire(Page page,String yhbh, String queryYear);

    /**
     * 同步用水量数据
     * @return
     */
    boolean synchroWaterQuantityData();
    boolean synchroWaterQuantityData(String begDate,String endDate);
}
